extern number canvas_w = 800.0;
extern number intensity = 1.0;

const vec2 offset_1 = vec2(1.3846153846, 0.0);
const vec2 offset_2 = vec2(3.2307692308, 0.0);

const number weight_0 = 0.2270270270;
const number weight_1 = 0.3162162162;
const number weight_2 = 0.0702702703;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
{
	vec4 texcolor = Texel(texture, texture_coords);
	vec4 tc = texcolor * weight_0;
	
	tc += Texel(texture, texture_coords + intensity * offset_1/canvas_w) * weight_1;
	tc += Texel(texture, texture_coords - intensity * offset_1/canvas_w) * weight_1;
	
	tc += Texel(texture, texture_coords + intensity * offset_2/canvas_w) * weight_2;
	tc += Texel(texture, texture_coords - intensity * offset_2/canvas_w) * weight_2;
	
	return color * tc;
}
